开发者社区> 问答> 正文

pip正在回滚

一码平川MACHEL 2019-02-28 13:44:29 408

我有一个pip python 3.x安装问题。我有pip版本19.0.3,但是当我使用pycharm时,它一直说我需要更新pip。

当我检查文件夹时,我可以看到文件夹中有另一个版本的pip pip-10.0.1-py3.7.egg。

我记得在安装python时勾选了在环境路径中添加python的选项。

当我再次尝试更新/安装pip时,我收到了错误消息。

(venv) C:UsersranicPycharmProjectsProjectDatabase>pip help install
You are using pip version 10.0.1, however version 19.0.3 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

(venv) C:UsersrPycharmProjectsProjectDatabase>python -m pip install --upgrade pip
Requirement already up-to-date: pip in c:usersrpycharmprojectsprojectdatabasevenvlibsite-packages (19.0.3)

Python
分享到
取消 提交回答
全部回答(1)
  • 一码平川MACHEL
    2019-07-17 23:29:42

    如果你检查,我保证pip不在同一个地方python。

    我的是,如下所示:

    C:Usersadsmith>where pip
    C:UsersadsmithAppDataLocalProgramsPythonPython36-32Scriptspip.exe

    C:Usersadsmith>where python
    C:UsersadsmithAppDataLocalProgramsPythonPython36-32python.exe
    但我猜你的python是指Python2和pipPython3(反之亦然)。如果您找到pip引用的Python版本,您应该能够:

    path/to/that/python -m pip install --upgrade pip

    0 0

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题